FORUMS

Samsung Galaxy Alpha (SM-G850) Gets Android 5.0

An Android 5.0 Lollipop update is finally available to download for the Samsung Galaxy … more

Do You Use 4:3 or 16:9 in the Camera App?

Every person has their own method of taking the best photos on their devices, but which aspect … more

LG G4 XDA Forum Opened

LG’s latest & greatest is just a few hours away from launching, and with so many power users that are … more

Android Wear Close to Running on Samsung Gear 2

Android is an OS that can sometimes be ported to run on devices not designed to … more
Post Reply Subscribe to Thread Email Thread

[Theme] [Themed Dialers] [Deviant Developmenrt] [TW ROMS]

5th April 2014, 10:38 AM |#81  
foreverloco's Avatar
Recognized Themer
Flag Gainesville, FL
Thanks Meter: 5,325
 
Donate to Me
More
Quote:
Originally Posted by akapaul26

There is a line you need to add I am being told, I'll let you know once I get cracking on it.

Simply Wicked KitKat or Nothing!

Not a line, but just a simple character like a +

I'm going with you're using one of the latest apktool versions (I'm using 2. beta9)

Look for the line that errors out. Most likely it might be something like this

layout\photo_selector_view_popup.xml:9:

That 9 means the line

add a + before layout so it looks like this

<include android:id="@id/photo_update" android:visibility="gone" layout="+@layout/photo_updates_header" />

Once it compiles, grab that same xml from the untouched apk and drop it into the new compiled one. Unless of course you're using a vrtheme type of zip, then you just gotta remember to no add that xml..

Just a heads up, the clock apk has about a bazillion lines you have to do the same, but mixed in like 10 xmls....




Quote:
Originally Posted by EdinM30

Not sure but from what i could piece together it's Java related

Without seeing any type of log, I'm guessing it likely means you weren't using the newest apktool for 4.4.. I've decompiled every 4.4.2 apk and have had no issues I couldn't fix..I don't run any type of wrapper like apk manageer or multi stuff. (they just give more problems then what they're worth)

ibotpeaches thread is where I keep in touch of what's the newest apktool
http://forum.xda-developers.com/show....php?t=1755243

He doesn't post the newest betas in the op, so you gotta use search to find them.........(DAMMIT I GOTTA SEARCH?)
Last edited by foreverloco; 5th April 2014 at 10:43 AM.
The Following User Says Thank You to foreverloco For This Useful Post: [ View ]
 
 
5th April 2014, 10:56 AM |#82  
EdinM30's Avatar
Senior Member
Flag Louisville
Thanks Meter: 172
 
More
Quote:
Originally Posted by foreverloco

Not a line, but just a simple character like a +

I'm going with you're using one of the latest apktool versions (I'm using 2. beta9)

Look for the line that errors out. Most likely it might be something like this

layout\photo_selector_view_popup.xml:9:

That 9 means the line

add a + before layout so it looks like this

<include android:id="@id/photo_update" android:visibility="gone" layout="+@layout/photo_updates_header" />

Once it compiles, grab that same xml from the untouched apk and drop it into the new compiled one. Unless of course you're using a vrtheme type of zip, then you just gotta remember to no add that xml..

Just a heads up, the clock apk has about a bazillion lines you have to do the same, but mixed in like 10 xmls....






Without seeing any type of log, I'm guessing it likely means you weren't using the newest apktool for 4.4.. I've decompiled every 4.4.2 apk and have had no issues I couldn't fix..I don't run any type of wrapper like apk manageer or multi stuff. (they just give more problems then what they're worth)

ibotpeaches thread is where I keep in touch of what's the newest apktool
http://forum.xda-developers.com/show....php?t=1755243

He doesn't post the newest betas in the op, so you gotta use search to find them.........(DAMMIT I GOTTA SEARCH?)

It's alright i tried all sorts of different tools from apktool to quickmod all versions all of them ending with same errors when compiling back i gave up on it already and left it alone for now..these are the errors i get

at brut.androlib.res.data.ResPackage.getResSpec(ResPa ckage.java:61)
at brut.androlib.res.data.ResTable.getResSpec(ResTabl e.java:58)
at brut.androlib.res.data.ResTable.getResSpec(ResTabl e.java:54)

it goes on lol
The Following User Says Thank You to EdinM30 For This Useful Post: [ View ]
5th April 2014, 11:10 AM |#83  
foreverloco's Avatar
Recognized Themer
Flag Gainesville, FL
Thanks Meter: 5,325
 
Donate to Me
More
Quote:
Originally Posted by EdinM30

It's alright i tried all sorts of different tools from apktool to quickmod all versions all of them ending with same errors when compiling back i gave up on it already and left it alone for now..these are the errors i get

at brut.androlib.res.data.ResPackage.getResSpec(ResPa ckage.java:61)
at brut.androlib.res.data.ResTable.getResSpec(ResTabl e.java:58)
at brut.androlib.res.data.ResTable.getResSpec(ResTabl e.java:54)

it goes on lol

Send me a pm if anything. Don't need to clutter here
The Following User Says Thank You to foreverloco For This Useful Post: [ View ]
5th April 2014, 10:15 PM |#84  
jimmydene84's Avatar
Senior Member
Oklahoma City
Thanks Meter: 802
 
Donate to Me
More
Last off topic comment...newer isn't always better. I've got 2 apk tool folders, beta 9 and good old 1.5.2. I have only ran into 1 issue so far with 1.5.2...might try that and I've hit dozens of apks

Sent from my SM-N900T using Xparent ICS Tapatalk 2
The Following User Says Thank You to jimmydene84 For This Useful Post: [ View ]
28th January 2015, 11:04 AM |#85  
Senior Member
Thanks Meter: 36
 
More
Red dialer is amazing. I have a s4 with 4.4.4 custom Rom. Can I flash this? It will work?
28th January 2015, 05:59 PM |#86  
DeejayBaca's Avatar
Member
Thanks Meter: 20
 
More
NL8 5.0 lollipop support?

Sent from my SM-N9008S using XDA Free mobile app
29th January 2015, 06:40 AM |#87  
Senior Member
Thanks Meter: 36
 
More
Come on guys, no one?
29th January 2015, 10:08 AM |#88  
Senior Member
Thanks Meter: 36
 
More
akapaul 26, can you tell me what should i do to make it work on my s4?
29th January 2015, 11:33 PM |#89  
Morningstar's Avatar
Senior Member
Flag Albuquerque, NM
Thanks Meter: 686
 
Donate to Me
More
Quote:
Originally Posted by iulian vu

Red dialer is amazing. I have a s4 with 4.4.4 custom Rom. Can I flash this? It will work?

Probably not, considering these dialers are from 4.4.2. Try it. Worst that can happen is it doesn't work, and you restore the original....If it doesn't work, decompile the dialer from here and your original one, compare them, and make the necessary changes to yours....easy-peasy....
Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes